[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Pam 0.72-26 critically broken

Hash: SHA1

Hi.  I uploaded a version of PAM today that fails to minimally work.
If you install this package, the main  PAM module (pam_unix) fails to
load.  This means that login, su and other programs that ask for a
password all fail.

Needless to say this is a critical bug.  A fixed version of the
package is now available at
http://incoming.debian.org/pam_0.72-27_i386.deb.  This package will
replace the broken one in the Debian archive tomorrow afternoon.

You can gain single user access to your Debian system even with a
broken PAM by booting it with the init=/bin/sh argument.  This should
allow you to mount the root filesystem read/write, bring up the
network, download a new package and install it.

Needless to say, I apologize for the inconvenience this has caused and
would be happy to help if you have any questions about repairing any
damaged systems.  I will be more careful of my testing procedure in
the future and will avoid introducing errors after I have already
confirmed things work.  

- --Sam
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: Processed by Mailcrypt 3.5.6 and Gnu Privacy Guard <http://www.gnupg.org/>


Reply to: